<?php
/*
 * @ https://EasyToYou.eu - IonCube v11 Decoder Online
 * @ PHP 7.4
 * @ Decoder version: 1.0.2
 * @ Release: 10/08/2022
 */

// Decoded file for php version 74.
if (!defined("WHMCS")) {
    exit("This file cannot be accessed directly");
}
function ActivationPanel_MetaData()
{
    return ["DisplayName" => "Activation Panel", "APIVersion" => "1.8.0", "RequiresServer" => true];
}
function ActivationPanel_ConfigOptions()
{
    $licenseinfo = APCheckLicenseByKey();
    if ($licenseinfo["status"] != "Active") {
        return ["licenseKeyStatus" => ["FriendlyName" => "License Key Status", "Description" => "<span style='color:red;'>Invalid or Expired license key.<span>", "Size" => 80]];
    }
    $moduledetails = Illuminate\Database\Capsule\Manager::table("tbladdonmodules")->where("module", "=", "ActivationPanelDashboard")->where("setting", "=", "version")->get();
    if (empty($moduledetails)) {
        return ["serverstatus" => ["FriendlyName" => "Module Status", "Description" => "<span style='color:red;'>Addon Module is not Activated Please Active it from Admin Area > Setup > Addon Modules > Xtream Reseller Panel Dashboard<span>", "Size" => 80]];
    }
    if (isset($_POST["action"]) && $_POST["action"] == "save") {
        $config = Illuminate\Database\Capsule\Manager::table("ActivationPanel_config")->get();
        foreach ($config as $value) {
            $row[$value->setting] = $value->value;
        }
        $product_id = $_POST["id"];
        $mac_address_array = ["fieldname" => $row["custom_field_mag"], "fieldtype" => "text", "description" => "Format 00:1A:79:12:34:5A", "regexpr" => "/([0-9A-Fa-f]{2}[:]){5}([0-9A-Fa-f]{2})/", "required" => "", "showorder" => "on", "showinvoice" => "on"];
        if (isset($_POST["packageconfigoption"][3]) && !empty($_POST["packageconfigoption"][3]) && $_POST["packageconfigoption"][3] == "magdevice") {
            $custom_fields = [$row["custom_field_mag"] => $mac_address_array];
        }
        if (isset($custom_fields) && !empty($custom_fields)) {
            foreach ($custom_fields as $field_name => $field_value) {
                if (0 == mysql_num_rows(mysql_query("SELECT * FROM `tblcustomfields` WHERE relid='" . $product_id . "' AND fieldname='" . $field_name . "'"))) {
                    if (mysql_query("INSERT INTO  `tblcustomfields` (`type`, `relid`, `fieldname`, `fieldtype`, `description`, `fieldoptions`, `regexpr`, `adminonly`, `required`, `showorder`, `showinvoice`, `sortorder`) VALUES ('product', '" . $product_id . "', '" . $field_name . "','" . $field_value["fieldtype"] . "','" . $field_value["description"] . "', '', '" . $field_value["regexpr"] . "', '', '" . $field_value["required"] . "', '" . $field_value["showorder"] . "','" . $field_value["showinvoice"] . "', '0')")) {
                        $result[] = "success";
                    } else {
                        $result[] = "error";
                    }
                }
            }
            if (!in_array("error", $result)) {
                logModuleCall("Activation Panel", "Custom Fields", "Custom Fields Created", $custom_fields);
            }
        }
    }
    $productdata = Illuminate\Database\Capsule\Manager::table("tblproducts")->where("id", $_REQUEST["id"])->first();
    $panelid = $productdata->configoption1;
    if (isset($panelid) && !empty($panelid)) {
        $ActivationPanel_servers = Illuminate\Database\Capsule\Manager::table("ActivationPanel_servers")->where("id", $panelid)->first();
    } else {
        $ActivationPanel_servers = Illuminate\Database\Capsule\Manager::table("ActivationPanel_servers")->first();
    }
    if (isset($ActivationPanel_servers) && !empty($ActivationPanel_servers)) {
        $resellerurl = $ActivationPanel_servers->resellerurl;
        $apikey = $ActivationPanel_servers->apikey;
        $user_info = ActivationPanelCall($resellerurl . "/api.php?api_key=" . $apikey, "GET", "reseller_info");
        $userdetails = "";
        if ($user_info["status"] == "true") {
            $userdetails = "<b id='usersinfo'>" . ucwords($user_info["username"]) . " (Credits - <font color='orange'><u>" . $user_info["credits"] . "</u></font>)</b>";
        }
        if (empty($userdetails)) {
            $userdetails = "<span style='color:red'>Couldn't connect to the Reserller Panel</span>";
        }
        $serversCustom = Illuminate\Database\Capsule\Manager::table("ActivationPanel_servers")->count();
        if (isset($serversCustom) && !empty($serversCustom)) {
            $serversCustom = Illuminate\Database\Capsule\Manager::table("ActivationPanel_servers")->get();
            foreach ($serversCustom as $server) {
                $options[$server->id] = $server->servername;
            }
        }
        return ["Select Your Xui Reseller Panel" => ["Type" => "dropdown", "Options" => $options, "Description" => "<a href=\"addonmodules.php?module=ActivationPanelDashboard&page=addserver\" target=\"__blank\" class=\"btn btn-primary\"> + Add New Xui Reseller Panel</a>", "Size" => 80], "Reseller Details" => ["Description" => $userdetails], "Product" => ["Type" => "dropdown", "Options" => ["streamlineonly" => "Stream Line", "magdevice" => "MAG Device"], "Description" => "<i>What type is this product?</i>", "Size" => "40"], "M3U link" => ["Type" => "yesno", "Description" => "Tick to Show M3U link in clientarea?"], "Select Subscription" => ["Type" => "dropdown", "Options" => ["99" => "Trial (0 Credits)", "1 Month (1.0 Credits)", "3" => "3 Month (3.0 Credits)", "6" => "6 Month (6.0 Credits)", "12" => "1 Year (12.0 Credits)"], "Description" => ""], "Watch Streams!" => ["Type" => "yesno", "Default" => "yes", "Description" => "Tick to show \"Watch Stream\" button for customers in their client area"], "Select Package" => ["Type" => "dropdown", "Options" => ["No Package Found"]]];
    } else {
        return ["Select Your Xui Reseller Panel" => ["Type" => "dropdown", "Options" => ["No Reseller Panel Found"], "Description" => "<a href=\"addonmodules.php?module=ActivationPanelDashboard&page=addserver\" class=\"btn btn-primary\"> + Add New Reseller Panel</a>", "Size" => 80]];
    }
}
function APclean($string)
{
    $string = str_replace(" ", "-", $string);
    return preg_replace("/[^A-Za-z0-9@.\\-]/", "", $string);
}
function ActivationPanel_CreateAccount(array $params)
{
    $xtreamConfig = Illuminate\Database\Capsule\Manager::table("ActivationPanel_config")->get();
    $returndata = [];
    if (isset($xtreamConfig) && !empty($xtreamConfig)) {
        foreach ($xtreamConfig as $config) {
            $returndata[$config->setting] = $config->value;
        }
    }
    if ($params["configoption3"] == "streamlineonly") {
        $post_data = ["type" => "m3u", "sub" => $params["configoption5"], "pack" => isset($params["model"]->notes) && !empty($params["model"]->notes) ? $params["model"]->notes : $params["configoption7"]];
        $server = Illuminate\Database\Capsule\Manager::table("ActivationPanel_servers")->where("id", $params["configoption1"])->get();
        if (isset($server[0]->resellerurl) && !empty($server[0]->resellerurl)) {
            $api_result = ActivationPanelCall($server[0]->resellerurl . "/api.php?api_key=" . $server[0]->apikey, "POST", "new", $post_data);
            $post_data["action"] = "create_line";
            $url = $api_result["url"];
            $exploded = explode("?", $url);
            $exploded = explode("&", $exploded[1]);
            list($iptv_username) = explode("=", $exploded[0]);
            list($iptv_password) = explode("=", $exploded[1]);
            logModuleCall("Activation Panel", "ActivationPanel_CreateAccount", $post_data, $api_result);
            if (!empty($api_result["status"])) {
                if ($api_result["status"] == "error") {
                    return $api_result["result"];
                }
                if ($api_result["status"] == "true") {
                    $getdata = ActivationPanelCall($server[0]->resellerurl . "/api.php?api_key=" . $server[0]->apikey, "GET", "device_info&username=" . $iptv_username . "&password=" . $iptv_password);
                    logModuleCall("Activation Panel", "ActivationPanel_CreateAccount", ["action" => "device_info"], $getdata);
                    $command = "EncryptPassword";
                    $postData = ["password2" => $iptv_password];
                    $results = localAPI($command, $postData);
                    if ($results["result"] == "success") {
                        $exp_date = $getdata["expire"];
                        Illuminate\Database\Capsule\Manager::table("tblhosting")->where("id", $params["serviceid"])->update(["username" => $iptv_username, "password" => $results["password"], "dedicatedip" => $api_result["user_id"], "nextduedate" => $exp_date]);
                        return "success";
                    }
                }
            } else {
                return "No Response from the server! Please check the logs for more details";
            }
        } else {
            return "No Server details found!";
        }
    } else {
        if ($params["configoption3"] == "magdevice") {
            $MagAddress = isset($params["customfields"][$returndata["custom_field_mag"]]) && !empty($params["customfields"][$returndata["custom_field_mag"]]) ? $params["customfields"][$returndata["custom_field_mag"]] : "";
            $post_data = ["type" => "mag", "mac" => $MagAddress, "sub" => $params["configoption5"], "pack" => isset($params["model"]->notes) && !empty($params["model"]->notes) ? $params["model"]->notes : $params["configoption7"]];
            $server = Illuminate\Database\Capsule\Manager::table("ActivationPanel_servers")->where("id", $params["configoption1"])->get();
            if (isset($server[0]->resellerurl) && !empty($server[0]->resellerurl)) {
                $api_result = ActivationPanelCall($server[0]->resellerurl . "/api.php?api_key=" . $server[0]->apikey, "POST", "new", $post_data);
                $post_data["action"] = "create_mag";
                logModuleCall("Activation Panel", "ActivationPanel_CreateAccount", $post_data, $api_result);
                if (!empty($api_result["status"])) {
                    if ($api_result["status"] == "error") {
                        return $api_result["result"];
                    }
                    if ($api_result["status"] == "true") {
                        Illuminate\Database\Capsule\Manager::table("tblhosting")->where("id", $params["serviceid"])->update(["dedicatedip" => $api_result["user_id"]]);
                        return "success";
                    }
                } else {
                    return "No Response from the server! Please check the logs for more details";
                }
            } else {
                return "No Server details found!";
            }
        }
    }
}
function ActivationPanel_Renew(array $params)
{
    $xtreamConfig = Illuminate\Database\Capsule\Manager::table("ActivationPanel_config")->get();
    $returndata = [];
    if (isset($xtreamConfig) && !empty($xtreamConfig)) {
        foreach ($xtreamConfig as $config) {
            $returndata[$config->setting] = $config->value;
        }
    }
    if ($params["configoption3"] == "magdevice") {
        $MagAddress = isset($params["customfields"][$returndata["custom_field_mag"]]) && !empty($params["customfields"][$returndata["custom_field_mag"]]) ? $params["customfields"][$returndata["custom_field_mag"]] : "";
        $post_data = ["type" => "mag", "user" => $MagAddress, "sub" => $params["configoption5"], "pack" => isset($params["model"]->notes) && !empty($params["model"]->notes) ? $params["model"]->notes : $params["configoption7"]];
        $server = Illuminate\Database\Capsule\Manager::table("ActivationPanel_servers")->where("id", $params["configoption1"])->get();
        if (isset($server[0]->resellerurl) && !empty($server[0]->resellerurl)) {
            $api_result = ActivationPanelCall($server[0]->resellerurl . "/api.php?api_key=" . $server[0]->apikey, "POST", "renew", $post_data);
            $post_data["action"] = "create_mag";
            logModuleCall("Activation Panel", "ActivationPanel_Renew", $post_data, $api_result);
            if (!empty($api_result["status"])) {
                if ($api_result["status"] == "error") {
                    return $api_result["result"];
                }
                if ($api_result["status"] == "true") {
                    $getdata = ActivationPanelCall($server[0]->resellerurl . "/api.php?api_key=" . $server[0]->apikey, "POST", "device_info", ["id" => $api_result["user_id"]]);
                    $exp_date = date("Y-m-d", $getdata["expire"]);
                    Illuminate\Database\Capsule\Manager::table("tblhosting")->where("id", $params["serviceid"])->update(["dedicatedip" => $api_result["user_id"], "nextduedate" => $exp_date]);
                    return "success";
                }
            } else {
                return "No Response from the server! Please check the logs for more details";
            }
        } else {
            return "No Server details found!";
        }
    }
}
function ActivationPanel_SuspendAccount(array $params)
{
    return "success";
}
function ActivationPanel_UnsuspendAccount(array $params)
{
    return "success";
}
function ActivationPanel_TerminateAccount(array $params)
{
    return "success";
}
function ActivationPanelCall($url, $method, $action, $data = NULL)
{
    $requesturl = $url . "&action=" . $action;
    $curl = curl_init($requesturl);
    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
    switch ($method) {
        case "POST":
            curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($curl, CURLOPT_POST, true);
            if ($data) {
                curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
            }
            break;
        case "PUT":
            curl_setopt($curl, CURLOPT_POST, true);
            curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "PUT");
            curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
            break;
        case "DELETE":
            curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "DELETE");
            break;
        default:
            curl_setopt($curl, CURLOPT_TIMEOUT, 100);
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 0);
            curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 0);
            curl_setopt($curl, CURLOPT_HTTPHEADER, ["User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36"]);
            $jsondata = curl_exec($curl);
            if (curl_error($curl)) {
                $error = "Connection Error: " . curl_errno($curl) . " - " . curl_error($curl);
                return ["errorCode" => 7, "userMessage" => $error];
            }
            curl_close($curl);
            $arr = json_decode($jsondata, true);
            return $arr;
    }
}
function ActivationPanel_ClientArea(array $params)
{
    if ($params["status"] == "Active") {
        $xtreamConfig = Illuminate\Database\Capsule\Manager::table("ActivationPanel_config")->get();
        $returndata = [];
        if (isset($xtreamConfig) && !empty($xtreamConfig)) {
            foreach ($xtreamConfig as $config) {
                $returndata[$config->setting] = $config->value;
            }
        }
        $tblhostingdetails = Illuminate\Database\Capsule\Manager::table("tblhosting")->where("id", "=", $params["serviceid"])->get();
        if ($params["configoption3"] == "streamlineonly") {
            $server = Illuminate\Database\Capsule\Manager::table("ActivationPanel_servers")->where("id", $params["configoption1"])->get();
            $post_data = ["id" => $tblhostingdetails[0]->dedicatedip];
            if (isset($server[0]->resellerurl) && !empty($server[0]->resellerurl)) {
                $api_result = activationpanelcall($server[0]->resellerurl . "/api.php?api_key=" . $server[0]->apikey, "GET", "device_info&username=" . $params["username"] . "&password=" . $params["password"]);
                if (!empty($api_result)) {
                    if (!empty($api_result["status"]) && $api_result["status"] == "true") {
                        $templateFile = "templates/overview.tpl";
                    } else {
                        $error = "User Not found!";
                        $templateFile = "templates/error.tpl";
                    }
                    $is_trial = $params["configoption5"];
                    $applink = Illuminate\Database\Capsule\Manager::table("ActivationPanel_applinks")->count();
                    if (0 < $applink) {
                        $applink = Illuminate\Database\Capsule\Manager::table("ActivationPanel_applinks")->get();
                        foreach ($applink as $app) {
                            $appdata[] = ["applink" => $app->applink, "name" => $app->appname, "apptype" => $app->appfor];
                        }
                    }
                    $portalurl = unserialize($server[0]->magportalurl);
                    $variabledata = ["appdata" => $appdata, "iptv_username" => $params["username"], "iptv_password" => $params["password"], "lang" => $returndata, "is_trial" => $is_trial == "trial" ? 1 : 0, "m3ulink" => $params["configoption4"], "watchstream" => $params["configoption6"], "outputfirst" => "ts", "mag_portal" => $portalurl[0], "m3uurl" => $portalurl[1], "watchstrmurl" => $portalurl[2], "usefulErrorHelper" => isset($error) && !empty($error) ? $error : "", "status" => $params["status"], "exp_date" => empty($api_result["expire"]) ? "Unlimited" : date("Y-m-d H:i:s", strtotime($api_result["expire"]))];
                }
            }
        } else {
            if ($params["configoption3"] == "magdevice") {
                $responsedata = APONEMAGDetails($params, $returndata, $response, $result);
                $templateFile = $responsedata["templateFile"];
                $variabledata = $responsedata["variabledata"];
            }
        }
        try {
            return ["tabOverviewReplacementTemplate" => $templateFile, "templateVariables" => $variabledata];
        } catch (Exception $ex) {
            logModuleCall("xtreamCode", "ActivationPanel_ClientArea", $params, $e->getMessage(), $e->getTraceAsString());
            return ["tabOverviewReplacementTemplate" => "error.tpl", "templateVariables" => ["usefulErrorHelper" => $e->getMessage()]];
        }
    }
}
function APONEMAGDetails($params, $returndata, $response, $result)
{
    $magaddress = $params["customfields"]["MAG Address"];
    $tblhostingdetails = Illuminate\Database\Capsule\Manager::table("tblhosting")->where("id", "=", $params["serviceid"])->get();
    $server = Illuminate\Database\Capsule\Manager::table("ActivationPanel_servers")->where("id", $params["configoption1"])->get();
    $post_data = ["id" => $tblhostingdetails[0]->dedicatedip];
    if (isset($server[0]->resellerurl) && !empty($server[0]->resellerurl)) {
        if (isset($tblhostingdetails[0]->dedicatedip) && !empty($tblhostingdetails[0]->dedicatedip)) {
            $portalurl = unserialize($server[0]->magportalurl);
            $responsedata["templateFile"] = "templates/magtemplate.tpl";
            $responsedata["variabledata"] = ["mag" => $magaddress, "mag_portal" => $portalurl[0], "response" => $response, "magdevice" => "yes", "message" => isset($result) && !empty($result) ? $result : $response, "lang" => $returndata, "status" => $params["status"], "exp_date" => ""];
            return $responsedata;
        }
        $responsedata["templateFile"] = "templates/error.tpl";
        $responsedata["variabledata"] = ["usefulErrorHelper" => "FAILED - No Record found!"];
        return $responsedata;
    }
}
function APCheckLicenseByKey()
{
    $result = Illuminate\Database\Capsule\Manager::table("tbladdonmodules")->where("module", "=", "ActivationPanelDashboard")->get();
    foreach ($result as $row) {
        $settings[$row->setting] = $row->value;
    }
    if ($settings["license"]) {
        $localkey = $settings["localkey"];
        $result = APCheckLicense($settings["license"], $localkey);
        $result["licensekey"] = $settings["license"];
    } else {
        $result["status"] = "licensekeynotfound";
    }
    return $result;
}
function APCheckLicense($licensekey, $localkey = "")
{
    $whmcsurl = "https://iptvreseller.pro/";
    $licensing_secret_key = "ActiveResellerPanel";
    $localkeydays = 14;
    $allowcheckfaildays = 5;
    $check_token = time() . md5(mt_rand(1000000000, 0) . $licensekey);
    $checkdate = date("Ymdhis");
    if (!isset($_SERVER["SERVER_NAME"]) && empty($_SERVER["SERVER_NAME"])) {
        $results["status"] = "Active";
        return $results;
    }
    $domain = $_SERVER["SERVER_NAME"];
    $usersip = isset($_SERVER["SERVER_ADDR"]) ? $_SERVER["SERVER_ADDR"] : $_SERVER["LOCAL_ADDR"];
    $dirpath = dirname(dirname(__DIR__)) . "/addons/ActivationPanelDashboard";
    $verifyfilepath = "modules/servers/licensing/verify.php";
    $localkeyvalid = false;
    if ($localkey) {
        $localkey = str_replace("\n", "", $localkey);
        $localdata = substr($localkey, 0, strlen($localkey) - 32);
        $md5hash = substr($localkey, strlen($localkey) - 32);
        if ($md5hash == md5($localdata . $licensing_secret_key)) {
            $localdata = strrev($localdata);
            $md5hash = substr($localdata, 0, 32);
            $localdata = substr($localdata, 32);
            $localdata = base64_decode($localdata);
            $localkeyresults = unserialize($localdata);
            $originalcheckdate = $localkeyresults["checkdate"];
            if ($md5hash == md5($originalcheckdate . $licensing_secret_key)) {
                $localexpiry = date("Ymdhis", mktime(date("h"), date("i"), date("s"), date("m"), date("m"), date("d") - $localkeydays, date("Y")));
                if ($localexpiry < $originalcheckdate) {
                    $localkeyvalid = true;
                    $results = $localkeyresults;
                    $validdomains = explode(",", $results["validdomain"]);
                    if (!in_array($_SERVER["SERVER_NAME"], $validdomains)) {
                        $localkeyvalid = false;
                        $localkeyresults["status"] = "Invalid";
                        $results = [];
                    }
                    $validips = explode(",", $results["validip"]);
                    if (!in_array($usersip, $validips)) {
                        $localkeyvalid = false;
                        $localkeyresults["status"] = "Invalid";
                        $results = [];
                    }
                    $validdirs = explode(",", $results["validdirectory"]);
                    if (!in_array($dirpath, $validdirs)) {
                        $localkeyvalid = false;
                        $localkeyresults["status"] = "Invalid";
                        $results = [];
                    }
                }
            }
        }
    }
    if (!$localkeyvalid) {
        $responseCode = 0;
        $postfields = ["licensekey" => $licensekey, "domain" => $domain, "ip" => $usersip, "dir" => $dirpath];
        if ($check_token) {
            $postfields["check_token"] = $check_token;
        }
        $query_string = "";
        foreach ($postfields as $k => $v) {
            $query_string .= $k . "=" . urlencode($v) . "&";
        }
        if (function_exists("curl_exec")) {
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $whmcsurl . $verifyfilepath);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $query_string);
            curl_setopt($ch, CURLOPT_TIMEOUT, 30);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            $data = curl_exec($ch);
            $responseCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
            curl_close($ch);
        } else {
            $responseCodePattern = "/^HTTP\\/\\d+\\.\\d+\\s+(\\d+)/";
            $fp = @fsockopen($whmcsurl, 80, $errno, $errstr, 5);
            if ($fp) {
                $newlinefeed = "\r\n";
                $header = "POST " . $whmcsurl . $verifyfilepath . " HTTP/1.0" . $newlinefeed;
                $header .= "Host: " . $whmcsurl . $newlinefeed;
                $header .= "Content-type: application/x-www-form-urlencoded" . $newlinefeed;
                $header .= "Content-length: " . @strlen($query_string) . $newlinefeed;
                $header .= "Connection: close" . $newlinefeed . $newlinefeed;
                $header .= $query_string;
                $data = $line = "";
                @stream_set_timeout($fp, 20);
                @fputs($fp, $header);
                $status = @socket_get_status($fp);
                while (!@feof($fp) && $status) {
                    $line = @fgets($fp, 1024);
                    $patternMatches = [];
                    if (!$responseCode && preg_match($responseCodePattern, trim($line), $patternMatches)) {
                        $responseCode = empty($patternMatches[1]) ? 0 : $patternMatches[1];
                    }
                    $data .= $line;
                    $status = @socket_get_status($fp);
                }
                @fclose($fp);
            }
        }
        if ($responseCode != 200) {
            $localexpiry = date("Ymdhis", mktime(date("h"), date("i"), date("s"), date("m"), date("m"), date("d") - ($localkeydays + $allowcheckfaildays), date("Y")));
            if ($localexpiry < $originalcheckdate) {
                $results = $localkeyresults;
            } else {
                $results = [];
                $results["status"] = "Invalid";
                $results["description"] = "Remote Check Failed";
                return $results;
            }
        } else {
            preg_match_all("/<(.*?)>([^<]+)<\\/\\1>/i", $data, $matches);
            $results = [];
            foreach ($matches[1] as $k => $v) {
                $results[$v] = $matches[2][$k];
            }
        }
        if (!is_array($results)) {
            exit("Invalid License Server Response");
        }
        if ($results["md5hash"] && $results["md5hash"] != md5($licensing_secret_key . $check_token)) {
            $results["status"] = "Invalid";
            $results["description"] = "MD5 Checksum Verification Failed";
            return $results;
        }
        if ($results["status"] == "Active") {
            $results["checkdate"] = $checkdate;
            $data_encoded = serialize($results);
            $data_encoded = base64_encode($data_encoded);
            $data_encoded = md5($checkdate . $licensing_secret_key) . $data_encoded;
            $data_encoded = strrev($data_encoded);
            $data_encoded = $data_encoded . md5($data_encoded . $licensing_secret_key);
            $data_encoded = wordwrap($data_encoded, 80, "\n", true);
            $results["localkey"] = $data_encoded;
        }
        $results["remotecheck"] = true;
    }
    unset($postfields);
    unset($data);
    unset($matches);
    unset($whmcsurl);
    unset($licensing_secret_key);
    unset($checkdate);
    unset($usersip);
    unset($localkeydays);
    unset($allowcheckfaildays);
    unset($md5hash);
    return $results;
}

?>